use std::process;

use display::theme::Theme;

use crate::display::Screen;

extern crate termion;
mod cfg;
mod display;

#[tokio::main]
async fn main() -> Result<(), anyhow::Error> {
    let config = cfg::Config::load_or_create()?;
    {
        let x = Screen::new(config.theme).unwrap();
        x.start().await?;
    }
    process::exit(0);
}
